<!DOCTYPE html>
<html lang="el">
	<head>
		<title>House of Spirits</title>
		
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
		
		<!-- Bootstrap -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
		
		<!-- Angular -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/angular.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/angular-route.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/angular.js/1.7.5/i18n/angular-locale_el-gr.js"></script>
		
		<!-- barcode scanner -->
		<script src="https://cdn.jsdelivr.net/npm/scandit-sdk"></script>

		<!-- Custom CSS -->
		<link rel="stylesheet" href="index.css">
		<link rel="stylesheet" href="app/shared/footer/footer.css">
		<link rel="stylesheet" href="assets/css/responsive.css">

		<!-- Controllers -->
		<script src="app/components/mainPage/mainPageCtrl.js"></script>
		<script src="app/components/searchProduct/searchProductCtrl.js"></script>
		<script src="app/components/addProduct/addProductCtrl.js"></script>
		<script src="app/components/addPrice/addPriceCtrl.js"></script>
		<script src="app/components/addShop/addShopCtrl.js"></script>
		<script src="app/components/addShop/modals/map.js"></script>
		<script src="app/shared/header/headerCtrl.js"></script>
		<script src="app/shared/filterbar/filterbarCtrl.js"></script>
		<script src="app/components/productPage/productPageCtrl.js"></script>
		<script src="app/components/error/errorCtrl.js"></script>
		<script src="app/components/shopPage/shopPageCtrl.js"></script>
		
		<!-- Initialization -->
		<script src="app/app.module.js"></script>
		<script src="app/app.route.js"></script>

	</head>
	<body ng-app="cavaApp" ng-controller="cavaAppCtrl">
		<!-- 
		Previous solution was to ng-include the navigation bar but that makes for really slow load times 
		as it goes and fetches it from the server. So I decided that we only need to fetch the icons on the right 
		which will change once the user is logged in.
		-->
		<header>
			<div ng-controller="headerCtrl">
				<nav class="navbar navbar-inverse navbar-fixed-top">
					<div class="container-fluid">
						<div class="navbar-header">
							<a class="navbar-brand" href="" ng-click ="setLocation('mainPage')">House of Spirits</a>
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#headerNavbar" aria-controls="headerNavbar" aria-expanded="false" aria-label="Toggle navigation">
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>                        
							</button>
						</div>
						<div class="collapse navbar-collapse" id="headerNavbar">
							<ul id="navList" class="nav navbar-nav">
								<!--
								<li id="mainPage"><a href="" ng-click ="setLocation('mainPage')">Main</a></li>
								-->
								<li id="searchProduct"><a href="" ng-click ="setLocation('search')">Αναζήτηση</a></li>
								<li id="addPrice"><a href="" ng-click ="setLocation('addPrice')"  ng-show="logged">Νέα Τιμή</a></li>
								<li id="addProduct"><a href="" ng-click ="setLocation('addProduct')"  ng-show="logged">Νέο Προϊόν</a></li>
								<li id="addShop"><a href="" ng-click ="setLocation('addShop')" ng-show="logged">Νέο Κατάστημα</a></li>
								<li><a href="app/components/comingSoon/comingSoon.html">Coming Soon</a></li>
						  	</ul>
							<div ng-include="'app/shared/header/unknownControls.html'" ng-hide="logged"></div>
							<div ng-include="'app/shared/header/knownControls.html'" ng-show="logged"></div>
						</div>
					</div>
				</nav>
				<!-- Navbar Modals -->
				<div ng-include="'app/shared/header/modals/loginModal.html'"></div>
				<div ng-include="'app/shared/header/modals/signUpModal.html'"></div>
				<div ng-include="'app/shared/header/modals/passRecoveryModal.html'"></div>
			</div>
		</header>
		
		<div class="middle">
			<div ng-view></div>
		</div>
		<div id="footerFix" class="col-t" style="--per:100%">
			<div ng-include="'app/shared/footer/footer.html'"></div>
		</div>
		<footer class="col-t" style="--per:100%">
			<div ng-include="'app/shared/footer/footer.html'"></div>
		</footer>
	</body>
</html>
